Subject: Re: bug#43369: Emacs fails to configure on ARM Macs

From: Alan Third <[email-masked]>
Date: Sun, 13 Sep 2020 17:07:43 +0100

On Sun, Sep 13, 2020 at 03:41:16PM +0200, Lars Ingebrigtsen wrote:
> 
> The arm-* bit was added recently to Emacs, from a two-year-old patch:
> 
> commit 4cba236749aafade7bd88cf2a10be48f44983faa
> Author:     Roland Kaufmann <[email-masked]>
> AuthorDate: Thu Dec 27 15:51:49 2018 +0100
> Commit:     Alan Third <[email-masked]>
> CommitDate: Sat Aug 15 17:06:31 2020 +0100
> 
>     Allow build configuration on Apple ARM devices (bug#41994)
>     
> So it sounds like arm-* was in use, and it's now aarch64-*?  In which
> case adding the latter, instead of altering it, is the right change here?

I'm unsure. I've googled a bit and found stuff saying that Apple used
to use arm64, but now everyone uses aarch64. I don't know if the
original patch had ever actually been tested on an ARM Mac.

If Roland Kaufmann doesn't respond with a better plan, I suppose we'd
be safest just adding it as you suggest.
-- 
Alan Third